LightZone v4.1.2


Posting rules: It shouldn't need saying, but... play nice. Please keep your discussions civil. You can disagree, just don't be disagreeable. And, of course, all of the usual stuff like no spamming. Tex adds: I'll be rigorously enforcing this as we go along. We're probably going to be a small community in a little lifeboat, so we can't have members at each others' throats. This is for the sake of the project as a whole. So when you post, pretend you're speaking in person with your very wealthy auntie who has always treated you wonderfully and currently lists you prominently in her will. I won't be tossing anyone out of the forums because we are all in this together (except spammers: immediate membership cancelation), but I'll delete suspect posts right away.


31 posts / 0 new
Last post
ktgw0316
LightZone v4.1.2

Hello,

 

I've just uploaded Windows packages of LightZone v4.1.2. Change log is here:
https://github.com/ktgw0316/LightZone/wiki/ChangeLog

This version specifies full-path for bundled JVM, and records the path in your "LightZone.log" file. That log might be useful for us to find the cause of the "Could not load JVM library" bug.

 

I'll prepare Mac packages by next Sunday. Linux packages are already available.

 

UPDATE: Mac packages are now available.

 

Masahiro

Photonoxx
Thanks Masahiro !

Thanks Masahiro !

 

Works greatly under Ubuntu 15.04 64bits

Jacal
Unlike 4.1.1, this new

Unlike 4.1.1, this new version required switching from "testing" to "regular" repository to be available on (virtual) ubuntu studio 14.4. Just mentioning, this is certainly not a complaint. Currenty I see no real need for separate beta versions. If the future brings alpha versions with new improvements and features, even better.

 

No problems with linux version and, well, works greatly under windows 7/64.

 

Thanks, Masahiro!

 

Mart

 

wwillibo
LightZone v4.1.2 on Small Windows Network

Thanks for the update, but LZ 4.1.2 on Windows 7 64 small office Windows Server network is unusable due to delay in browser opening network directories.

Delays are measured in minutes, not seconds.

Last year when I installed the initial version of PhotoNinja I experienced a similar issue but they got it corrected.

Suggestions to correct would of course be appreciated.

tex
Odd...

It's working fine on Win 7 home, so it must be something about Server....

Hieronymus Bosch
I am delighted to report that

I am delighted to report that LZ 4.1.2 now runs without any JVM library errors on my Windows 8 box when running the 64 bit version. I can start it again and again... :)

Thank you for the dedication and effort, Masahiro!

larshenrikoern
Hurayyy

I am Also on vaccation in Germany. So this will be short. After reading the comments so far it seems like we have a stable version, and a good foundation for the future.

 

Lets celebraite

HURAYY,HURAYY

 

Lets now have party of more hurayys berfore further development will continue. 

Once more hurayy and have a nice day

Gabe
Spot Tool

In my install on Win 7/64 the spot tool came up collapsed to a pixel. You have to work with the control points to open it up to what you expect (a good learning experience). After that it is fine. I am now using 4.1.2 as my primary rev and have seen no other problems in my normal workflow so far. Great job! Thanks to all.

crazyquay
I don't think this issue is

I don't think this issue is new to v4.1.2... I've seen this in earlier versions but can't say how far back.

pixel
 

 

Thank you for the new Version for Mac OS 10.6.8, it is wonderfull to have such a great Software to work with!!!

Thank you very much Masahiro for this!!!

 

pixel

Pepe Solbach
Java

Hi pixel,

as I claimed in another post, I can't open LZ 4.1.2 in Mac OS 10.6.8, giving me the 'Error starting Java virtual machine' message.

The  Java vers. on my iMac is the latest available for Snow Leopard, so I am wondering, how could you get LZ 4.1.2 working on your Mac with the same OS.

Can you help?

Thanks

Pepe

guyhart
Yosemite

Hi, bought it (and used it since) in 2007 (120 euros with a 40 euros discount), and suddendly couldn't use it anymore, since i discoverded that wonderful community and forum. The 4.1.2 works fine on my 2009 Macpro with 10.10.4. and Aperture.

Thanks for all!

sattvakarma
Thanks!

Thanks Masahiro for the new release! Your effort is appreciated very much!

Regards,

Sattva.

Geraber
Lightzone V4.1.2

I am running Mint 17.2 64 bit

java.lang.NoSuchMethodError: org.jvnet.lafwidget.menu.MenuSearchWidget.showSearchPanels()V
at org.jvnet.substance.SubstanceMenuBarUI.showSearchPanels(SubstanceMenuBarUI.java:88)
at org.jvnet.substance.SubstanceLookAndFeel.initialize(SubstanceLookAndFeel.java:3932)
at javax.swing.UIManager.setLookAndFeel(UIManager.java:535)
at org.jvnet.substance.SubstanceLookAndFeel.setSkin(SubstanceLookAndFeel.java:4996)
at com.lightcrafts.ui.LightZoneSkin.getLightZoneLookAndFeel(LightZoneSkin.java:295)
at com.lightcrafts.platform.linux.LinuxPlatform.getLookAndFeel(LinuxPlatform.java:57)
at com.lightcrafts.platform.linux.LinuxLauncher.main(LinuxLauncher.java:36)

if this helps anyone. . . .

larshenrikoern
LightZone error on Mint 17.2

Hi

Are you using the package for ubuntu ??? And version 14.04. This is so far I know the version you should use. Not the more recent as Linux Mint is currently based on this version.

 

Hope this helps

 

Have a nice day

 

Geraber
LightZone error on Mint 17.2

Hi

Yes it's ubuntu 14.04.

thank you for your answer so I have no solution

Have a nice day

larshenrikoern
LightZone error on Mint 17.2

Hi again

 

Have you tried to uninstall, and then delete the package in /var/cache/apt/archives/ and reinstall it again. The above error might happen if the download was not completed. Its rare, but might be the case. I can see that this is the first and only install error since the new release.  Try to install using dpkg -i as this sometimes gives more information than apt-get.

 

Hope this helps ;-)

ktgw0316
Hi,

Hi,

 

Could you install "liblaf-widget-java" package and check if it solve the error? That package contains a jar file for the org/jvnet/lafwidget/menu/MenuSearchWidget.class.

 

Masahiro

Geraber
Hi,

Hi,
I uninstalled and reinstalled but still the same error and the package "liblaf-widget-java" was already installed
Thank you for your input, but I still have no solution

Geraber
this is it, this is resolved.

this is it, this is resolved.
after "sudo apt-get update" "sudo apt-get upgrade" and "sudo apt-get dist-upgrade"

which can upgrade packages that the simple 'upgrade' command can not (you can read more about the difference entre two commands here).

The following packages were automatically installed and are no longer necessary:
antlr ant ivy java-wrappers junit4 libantlr libasm3-java-java
  libatinject-jsr330-api-java libavalon-framework-java java-libbasicplayer
  libbatik-java java-libcobra libcommons-cli-java libcommons-codec-java
  libcommons-collections3-java-libcommons httpclient libcommons-java-io-java
  libcommons libcommons-lang-java-logging-java-libcommons parent-java
  libdbus libfop-java-java java-libgetopt libgnu-regexp-java libgomp1: i386
  libguava libhamcrest-java-java-runtime-libhawtjni libhsqldb java-java
  libjansi libjansi-java-native-java java-libjaudiotagger libjcommon-java
  libjfreechart-java-animated libjgoodies libjgoodies-java-common-java
  libjgoodies-forms-java libjhlabs-filters-java java-libjlatexmath
  libjlayer libjline-java-java java-libjmac libjna libjorbis-java-java
  libjortho-freeplane libjspeex-java-java java-libjsr305 libjsyntaxpane-java
  libknopflerfish-osgi-framework-java-plugin-java liblaf liblaf-widget-java
  liblastfm-java java-liblog4j1.2 libmatthew-debug-java java-libmiglayout
  libmockobjects libmp3spi-java-java-org-libnb openide-util-java
  libnb-org-openide-util-lookup-java libpcsclite1: i386 libregexp-java
  librhino libsimple-validation-java-java java-libswingx libtritonus-java
  libunixsocket libvldocking-java-java java-libvorbisspi
  libxmlgraphics libxpp3-commons-java-java java-libxstream
  openjdk-7-jre-headless: i386 squareness substance

"Sudo apt-get autoremove"
Now LightZone works
Thank you all

larshenrikoern
Nice to hear

Hi again

 

You are most welcome.

 

 

winfried
thanks, great work.

thanks, great work.

running with opensuse 13.2 and Linux Mint 17.2 (both 64bit/xfce )

msais
In windows 10?

Hello, it's the first time and  i want down the program,  i have windows 10, intel core i-5, 64 bits.

Wich is the source to down: amd64? or x86?

Thanks

Jacal
amd64

amd64

msais
Thanks

Thanks

ingoerik
Same Problems as before on OS X Yosemite

It installs fine and you can open it from Aperture and work with it on OS X 10.4, but the connection from LZ back to Aperture doesn't work.

And the picture is still brighter in LZ than in Aperture. Anyone has this problems too ?

tex
Please search these forums for a thread/s on Aperture

I know we have had several.  At least one may address the connection problem.  Because so many people have abandoned Aperture, we have not prioritized fixing any problems there.  That's not to say we won't, but it's not a priority.

ingoerik
thanks for the info.

thanks for the info.

tsunni
No JVM error

Many thanks !

 

Its working well for me without the JVM error (win 7)

good wishes,

Unni

 

reding
Solution for "Could not load JVM library" Bug - Windows 10

Hi,

I had the "Could not load JVM library" error today while running Lightzone on WIndows 10.
I simply added c:\path_to_lightzone\jre\bin to PATH. Works like a charm.
Hope this helps.

Chris

How to set the path and environment variables in Window: http://www.computerhope.com/issues/ch000549.htm

mike1098
Malformed LightZone file I get the error Malformed LightZone fil

Hello,

I am new to lightzone, installed under Fedora 21 as described from OpenSuse repo. I am not able to edit DNG files from my Pentax K50.

I get the error Malformed LightZone file. This file has no version number.

On command line:

Writing data to /tmp/LZRAWTMP3768311678584939479.thumb.jpg ...
dcraw value: 0
Read 48254976 bytes in 454ms
com.lightcrafts.utils.xml.XMLException: This file has no version number
at com.lightcrafts.ui.editor.Document.<init>(Document.java:157)
at com.lightcrafts.app.Application.createDocument(Application.java:423)
at com.lightcrafts.app.DocumentInitializer$1.run(DocumentInitializer.java:66)
at java.lang.Thread.run(Thread.java:745)

Ther are no XML files in the directory beside the DNG's

My Java Version.

openjdk version "1.8.0_60"
OpenJDK Runtime Environment (build 1.8.0_60-b27)
OpenJDK 64-Bit Server VM (build 25.60-b23, mixed mode)

If I edit a JPEG I get the following error:

at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
java.lang.NullPointerException
at com.lightcrafts.image.metadata.ImageMetadata.mergeFrom(ImageMetadata.java:672)
at com.lightcrafts.image.types.JPEGImageType.readMetadata(JPEGImageType.java:767)
at com.lightcrafts.image.ImageInfo.getMetadata(ImageInfo.java:300)
at com.lightcrafts.app.Application.createDocument(Application.java:399)
at com.lightcrafts.app.DocumentInitializer$1.run(DocumentInitializer.java:66)
at java.lang.Thread.run(Thread.java:745)

Any help is much appreciated becaus ei am very interested to learn how lightzone works.

 

regards

 

Mike